Subject: Re: [Jmap] Push mechanism

From: Neil Jhaveri <[email-masked]>
Date: Thu, 13 Jul 2017 18:17:43 +0000

A little late here... but since this is on the meeting agenda, I'll confirm
that this seems like the right direction to me too. Before I left Apple, I
had a chat with a few of the devs working on APNS and they also thought
this was a reasonable direction, and could see implementing the App Server
--> Push Server portion of RFC 8030, while leaving the Push Server <-->
User Agent portion custom. Right now, the App Server --> Push Server
portion does require a special certificate, and doesn't meet RFC 8030.

I vaguely recall Martin mentioning during the first meeting that RFC 8030
mostly made sense in the context of the browser. @Martin, now that you're
on this list, I wonder if you could provide your thoughts on this.

On Tue, Apr 18, 2017 at 10:40 PM Aki Tuomi <[email-masked]> wrote:

> On April 19, 2017 at 8:21 AM Neil Jenkins wrote:
>
>
> On Tue, 11 Apr 2017, at 02:52 PM, Neil Jenkins wrote:
>
> We talked a bit in Chicago about RFC 8030[1] and what mechanisms we
>
>
> should support for push. Having looked at RFC8030 in a bit more
> detail, the JMAP server is just the "Application Server" in this model
> (the other two participants are the "UA" and the "Push Server"). We
> should specify the behaviour such that it is compatible in this role,
>
> but not constrain it further. The Web Hook[2] part of the current
>
>
> draft of the JMAP spec basically already does this. I think we just
> need to add a few headers to the calls to the push server to make it
> compliant: TTL, Topic and Urgency.
>
> Can I take the lack of argument about this as consensus that this is the
> right way forward? :)
> Neil.
>
> Fwiw, using existing standard is a good idea. Had a quick look and it
> looked ok.
>
> Aki
> _______________________________________________
> Jmap mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/jmap
>

---

From: Neil Jenkins <[email-masked]>
Date: Fri, 14 Jul 2017 14:36:22 +1000

OK, I have now made a pull request with my proposed spec changes to make the Push mechanism compliant with the application server role in RFC8030: https://github.com/jmapio/jmap/pull/100
Feedback welcome either as direct comments on the changes in the GitHub issue or on the mailing list.
Cheers,
Neil.

---

From: Martin Thomson <[email-masked]>
Date: Fri, 14 Jul 2017 15:48:00 +1000

What Apple does with Apple's products is Apple's business.  However,
if you want to use the web Push API, then you will need to use the
protocol.

On 14 July 2017 at 04:17, Neil Jhaveri <[email-masked]> wrote:
> had a chat with a few of the devs working on APNS and they also thought this
> was a reasonable direction, and could see implementing the App Server -->
> Push Server portion of RFC 8030, while leaving the Push Server <--> User
> Agent portion custom. Right now, the App Server --> Push Server portion does
> require a special certificate, and doesn't meet RFC 8030.
>
> mostly made sense in the context of the browser. @Martin, now that you're on
> this list, I wonder if you could provide your thoughts on this.
>